Vulnerability Assessment & Network Security Forums



If through a vulnerability assessment, a network security issue is detected for the vulnerability below, applying the appropriate security patches in a timely matter is very important.  If you have detected that your system has already been compromised, following CERT's Network Security recovery document will assist with recommended steps for system recovery.


Home >> Browse Vulnerability Assessment Database >> Ubuntu Local Security Checks >> USN18-1 : zip vulnerability


Vulnerability Assessment Details

USN18-1 : zip vulnerability

Vulnerability Assessment Summary
zip vulnerability

Detailed Explanation for this Vulnerability Assessment

Summary :

The remote package "zip" is missing a security patch.

Description :

HexView discovered a buffer overflow in the zip package. The overflow
is triggered by creating a ZIP archive of files with very long path
names. This vulnerability might result in execution of arbitrary code
with the rights of the user who calls zip.

This flaw may lead to privilege escalation on systems which
automatically create ZIP archives of user supplied files, like backup
systems or web applications.

Solution :

Upgrade to :
- zip-2.30-6ubuntu0.1 (Ubuntu 4.10)



Network Security Threat Level: High


Networks Security ID:

Vulnerability Assessment Copyright: Ubuntu Security Notice (C) 2005 Canonical, Inc. / NASL script (C) 2005 Michel Arboi

Cables, Connectors

Lenovo ThinkPad X201 3249-2FU 12.1" OEM Bottom Case w/Cover Door 45Y4442 ER*
$24.99
Lenovo ThinkPad X201 3249-2FU 12.1300pcs Laptop Screws Set with Box For IBM HP TOSHIBA SONY DELL SAMSUNG LENOVO
$5.99
300pcs Laptop Screws Set with Box For IBM HP TOSHIBA SONY DELL SAMSUNG LENOVO pictureLENOVO T410 THINKPAD LAPTOP I5 M520 @ 2.40GHZ 6GB (2)
$40.0
LENOVO T410 THINKPAD LAPTOP I5 M520 @ 2.40GHZ 6GB (2) pictureIBM Lenovo Ideapad G460A Z460 Z460A Z465 G560 Z560 Z565 CPU Cooling Fan #M806 QL
$7.51
IBM Lenovo Ideapad G460A Z460 Z460A Z465 G560 Z560 Z565 CPU Cooling Fan #M806 QL picture


Discussions

No Discussions have been posted on this vulnerability.